{
    "manifest_version": 2,
    "version": "1.0.0",
    "name": "Social Street Smart",
    "short_name": "SSS", 
    "description": "Shaping tomorrow's Internet with Artificial Intelligence",
    "default_locale": "en",
    "background" : {
      "scripts" : ["scripts/background/eventPage.js"],
      "persistent": false
    },

  "options_page": "views/settings.html",
    "browser_action" :
    {
      "default_icon" : "assets/icon/pop.png",
      "default_title" : "Social Street Smart",
      "default_popup" : "views/popup.html"
    },
    "content_scripts" : [
      {
        "matches" : [
          "http://*/*",
          "https://*/*"
        ],
        "js" : [
         "scripts/content/youtube_cb_hs.js","scripts/content/twitter_cb_hs.js","scripts/content/facebook_cb_hs.js","scripts/content/sss.js"
        ],
        "run_at" : "document_idle",
        "all_frames" : false
      },
      {
        "matches":[
          "https://news.google.com/news/headlines/section/topic/WORLD?ned=us&hl=en/*/*",
          "https://www.reddit.com/r/worldnews/*/*",
          "https://www.bbc.com/news/*",
          "https://www.nytimes.com/section/world/*",
          "https://www.buzzfeed.com/world/*/*",
          "https://www.aljazeera.com/*/*",
          "https://defence-blog.com/*/*",
          "https://www.e-ir.info/category/blogs/*/*",
          "https://www.globalissues.org/*/*",
          "https://thecipherbrief.com/*/*",
          "https://warnewsupdates.blogspot.com/*/*",
          "https://www.yahoo.com/news/world/*/*",
          "https://edition.cnn.com/world/*/*",
          "https://www.theguardian.com/world/*/*",
          "https://in.reuters.com/news/world/*/*",
          "https://www.washingtonpost.com/world/*/*",
          "https://timesofindia.indiatimes.com/world/*/*",
          "https://www.ndtv.com/world-news/*/*",
          "https://www.rt.com/news/*/*",
          "https://www.independent.co.uk/news/world/*/*",
          "https://www.spiegel.de/international/*/*",
          "https://www.npr.org/sections/world/*/*",
          "https://www.express.co.uk/news/world/*/*",
          "https://www.cnbc.com/world/*/*",
          "https://www.mirror.co.uk/news/world-news/*/*",
          "https://www.cbc.ca/news/world/*/*",
          "https://time.com/section/world/*/*",
          "https://www.cbsnews.com/world/*/*",
          "https://www.thesun.co.uk/news/worldnews/*/*",
          "https://www.latimes.com/world/*/*",
          "https://sputniknews.com/world/*/*",
          "https://abcnews.go.com/International/*/*",
          "https://www.abc.net.au/news/world/*/*",
          "https://www.vox.com/world/*/*",
          "https://news.sky.com/world/*/*",
          "https://www.smh.com.au/world/*/*",
          "https://en.rfi.fr/*/*",
          "https://www.news24.com/World/*/*",
          "https://www.rawstory.com/category/world/*/*",
          "https://www.euronews.com/news/international/*/*",
          "https://www.thestar.com/news/world.html/*/*",
          "https://globalnews.ca/world/*/*",
          "https://www.ctvnews.ca/world/*/*",
          "https://viralsearchnews.com/*/*",
          "https://www.washingtontimes.com/news/world/*/*",
          "https://richardsnewsonline.com/*/*",
          "https://www.france24.com/en/*/*",
          "https://www.seattletimes.com/nation-world/world/*/*",
          "https://talkingpointsmemo.com/world-news/*/*",
          "https://www.channelnewsasia.com/news/world/*/*",
          "https://www.brookings.edu/topic/international-affairs/*/*",
          "https://www.dailytelegraph.com.au/news/world/*/*",
          "https://www1.cbn.com/cbnnews/world/*/*",
          "https://www.todayonline.com/world/*/*",
          "https://www.csmonitor.com/World/*/*",
          "https://www.pri.org/*/*",
          "https://www.rand.org/topics/international-affairs.html/*/*",
          "https://www.breakingnews.ie/world/*/*",
          "https://www.thelocal.es/international/*/*",
          "https://warontherocks.com/*/*",
          "https://www.eveningexpress.co.uk/category/news/world/*/*",
          "https://world.wng.org/categories/international/*/*",
          "https://ifpnews.com/*/*",
          "https://www.neweurope.eu/category/world/*/*",
          "https://blog.wan-ifra.org/*/*",
          "https://www.360hitsong.com/*/*",
          "https://www.worldaffairsjournal.org/*/*",
          "https://smallwarsjournal.com/blog/recent/*/*",
          "https://cloutwork.com/*/*",
          "https://virally.site/*/*",
          "https://itworld.blog/*/*",
          "https://lookingtimes.blogspot.com/*/*",
          "https://newsdazzle.online/*/*",
          "https://ppapiblogue.blogspot.com/*/*",
          "https://usahint.com/*/*",
          "https://justworldeducational.org/category/blog/*/*",
          "https://newslanes.com/*/*",
          "https://asiandefencenewschannel.blogspot.com/*/*",
          "https://vivianvioline.blogspot.com/*/*",
          "https://apushcurrentevents.blogspot.com/*/*",
          "https://www.justworldnews.com/*/*",
          "https://worldunitednews.blogspot.com/*/*",
          "https://globalsolutions.org/*/*",
          "https://timesofindia.indiatimes.com/*/*",
          "https://www.ndtv.com/*/*",
          "https://indiatoday.intoday.in/*/*",
          "https://indianexpress.com/*/*",
          "https://www.thehindu.com/*/*",
          "https://www.news18.com/*/*",
          "https://www.firstpost.com/*/*",
          "https://www.business-standard.com/*/*",
          "https://www.dnaindia.com/*/*",
          "https://www.deccanchronicle.com/*/*",
          "https://www.oneindia.com/*/*",
          "https://www.financialexpress.com/*/*",
          "https://scroll.in/*/*",
          "https://www.thehindubusinessline.com/*/*",
          "https://www.thequint.com/*/*",
          "https://www.outlookindia.com/*/*",
          "https://www.freepressjournal.in/*/*",
          "https://telanganatoday.com/*/*",
          "https://www.asianage.com/*/*",
          "https://chandigarhmetro.com/*/*",
          "https://www.dailyexcelsior.com/*/*",
          "https://teluguglobal.in/*/*",
          "https://jaianndata.com/*/*",
          "https://starofmysore.com/*/*",
          "https://www.navhindtimes.in/*/*",
          "https://www.nagpurtoday.in/*/*",
          "https://www.arunachaltimes.in/*/*",
          "https://www.risingkashmir.com/*/*",
          "https://www.tentaran.com/*/*",
          "https://www.yovizag.com/*/*",
          "https://www.thesangaiexpress.com/*/*",
          "https://www.orissapost.com/*/*",
          "https://kashmirreader.com/*/*",
          "https://news.statetimes.in/*/*",
          "https://www.techgenyz.com/*/*",
          "https://newstodaynet.com/*/*",
          "https://www.mydigitalfc.com/*/*",
          "https://bhakatnews.com/*/*",
          "https://www.bilkulonline.com/*/*",
          "https://www.mosesnews.com/*/*",
          "https://www.emitpost.com/*/*",
          "https://5abnow.com/*/*",
          "https://www.thetimesofbengal.com/*/*",
          "https://www.thenewshimachal.com/*/*",
          "https://thenorthlines.com/*/*",
          "https://www.themodernjournal.in/*/*",
          "https://www.electiontamasha.in/*/*",
          "https://themetrotalk.in/*/*",
          "https://leagueofindia.com/*/*",
          "https://www.indiannewsqld.com.au/*/*",
          "https://www.politically.news/*/*",
          "https://www.newsekaaina.com/*/*",
          "https://www.sportskanazee.com/*/*",
          "https://www.metrorailnews.info/*/*",
          "https://indianspectator.com/*/*",
          "https://notabletoday.blogspot.com/*/*",
          "https://www.easternherald.com/*/*",
          "https://ncairways.in/*/*",
          "https://asbanews.com/*/*",
          "https://www.newasians.website/*/*"
        ],
        "js":[
          "scripts/content/newsWeb.js"
        ],
        "run_at" : "document_end",
        "all_frames" : false
      },
      {
        "matches":[
          "https://twitter.com/*"
        ],
        "js":[
          "scripts/content/twitter.js"
        ],
        "run_at" : "document_end",
        "all_frames" : false
        

      },
      {
        "matches":[
          "https://www.facebook.com/*"
        ],
        "js":[
          "scripts/content/facebook.js"
        ],
        "run_at" : "document_end",
        "all_frames" : false
        

      }
    ],
"web_accessible_resources": [
    "common/profanity_list_en.json"
],

    "permissions": [
      "tabs","notifications","storage","http://13.233.115.232:8091/predict"
    ],
    "icons" : {
      "36" : "assets/icon/36.png",
      "48" : "assets/icon/48.png",
      "72" : "assets/icon/72.png",
      "96" : "assets/icon/96.png"
    }
}
   
